import PropTypes from 'prop-types';
import { BASE_CLASS, DEFAULT_ATC_ICON } from '../../config.js';
import useI18n from '../../hooks/useI18n.js';
import AtomIcon from '../Icon/Icon.js';
import HelpContentTooltip from './HelpContentTooltip.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var HelpContent = function HelpContent(_ref) {
  var icons = _ref.icons;
  var i18n = useI18n();
  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS + "-helpContent",
    children: [/*#__PURE__*/_jsx(AtomIcon, {
      icon: icons.helpContent || DEFAULT_ATC_ICON
    }), /*#__PURE__*/_jsxs("div", {
      className: "",
      children: [/*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-helpContentTitle",
        children: i18n.t('LOGIN_CROSS.PASSWORD_RESET.DOUBTS.TITLE')
      }), /*#__PURE__*/_jsxs("div", {
        className: BASE_CLASS + "-helpContentText",
        children: [/*#__PURE__*/_jsx("span", {
          dangerouslySetInnerHTML: {
            __html: i18n.t('LOGIN_CROSS.PASSWORD_RESET.DOUBTS.TEXT')
          }
        }), /*#__PURE__*/_jsx(HelpContentTooltip, {})]
      })]
    })]
  });
};
HelpContent.displayName = 'HelpContent';
export default HelpContent;