import _extends from "@babel/runtime/helpers/esm/extends";
import AtomIcon, { ATOM_ICON_SIZES } from '@s-ui/react-atom-icon';
import AtomTooltip from '@s-ui/react-atom-tooltip';
import { BASE_CLASS, DEFAULT_TOOLTIP_INFO_ICON } from '../../config.js';
import useI18n from '../../hooks/useI18n.js';
import { jsx as _jsx } from "react/jsx-runtime";
var HelpContentTooltip = function HelpContentTooltip() {
  var i18n = useI18n();
  var tooltipText = i18n.t('LOGIN_CROSS.PASSWORD_RESET.DOUBTS.TOOLTIP');
  var iconTooltip = /*#__PURE__*/_jsx("span", {
    className: BASE_CLASS + "-helpContentIconTooltip",
    children: /*#__PURE__*/_jsx(AtomIcon, {
      size: ATOM_ICON_SIZES.medium,
      children: DEFAULT_TOOLTIP_INFO_ICON
    })
  });
  var ATOM_TOOLTIP_OPTION = {
    placement: 'bottom'
  };
  return /*#__PURE__*/_jsx(AtomTooltip, _extends({}, ATOM_TOOLTIP_OPTION, {
    content: function content() {
      return /*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-helpContentTextTooltip",
        dangerouslySetInnerHTML: {
          __html: tooltipText
        }
      });
    },
    children: iconTooltip
  }));
};
HelpContentTooltip.displayName = 'HelpContentTooltip';
export default HelpContentTooltip;