import { useState } from 'react';
import PropTypes from 'prop-types';
import MoleculeInputField from '@s-ui/react-molecule-input-field';
import { DEFAULT_EYE_CLOSED_OUTLINE, DEFAULT_EYE_OPEN_OUTLINE } from '../../config.js';
import { jsx as _jsx } from "react/jsx-runtime";
var PasswordInputField = function PasswordInputField(_ref) {
  var errorText = _ref.errorText,
    icons = _ref.icons,
    id = _ref.id,
    label = _ref.label,
    name = _ref.name,
    onChange = _ref.onChange,
    placeholder = _ref.placeholder,
    value = _ref.value;
  var _useState = useState('sui-password'),
    fieldType = _useState[0],
    setFieldType = _useState[1];
  return /*#__PURE__*/_jsx(MoleculeInputField, {
    errorText: errorText,
    id: id,
    label: label,
    name: name,
    onChange: onChange,
    placeholder: placeholder,
    size: "l",
    type: fieldType,
    rightIcon: fieldType === 'sui-password' ? icons.inputShowPassword || DEFAULT_EYE_CLOSED_OUTLINE : icons.inputHidePassword || DEFAULT_EYE_OPEN_OUTLINE,
    onClickRightIcon: function onClickRightIcon() {
      return fieldType === 'sui-password' ? setFieldType('text') : setFieldType('sui-password');
    },
    pwHideLabel: "",
    pwShowLabel: "",
    value: value
  });
};
PasswordInputField.displayName = 'PasswordInputField';
export default PasswordInputField;