import PropTypes from 'prop-types';
import AtomButton, { atomButtonShapes, atomButtonSizes } from '@s-ui/react-atom-button';
import ButtonWrapper from './ButtonWrapper.js';
import { jsx as _jsx } from "react/jsx-runtime";
var SubmitButton = function SubmitButton(_ref) {
  var children = _ref.children,
    isEnabled = _ref.isEnabled,
    isLoading = _ref.isLoading,
    onClick = _ref.onClick;
  return /*#__PURE__*/_jsx(ButtonWrapper, {
    children: /*#__PURE__*/_jsx(AtomButton, {
      fullWidth: true,
      disabled: !isEnabled,
      isLoading: isLoading,
      onClick: onClick,
      shape: atomButtonShapes.CIRCULAR,
      size: atomButtonSizes.LARGE,
      children: children
    })
  });
};
SubmitButton.displayName = 'SubmitButton';
export default SubmitButton;