export var DEFAULT_RESET_PASSWORD_ENDPOINT = 'http://localhost/v1/ecg/password-reset';
export var DEFAULT_CHANGE_PASSWORD_ENDPOINT = 'http://localhost/v1/ecg/password-change';
var Config = /*#__PURE__*/function () {
  /**
   * @constructor
   * @param {Object} deps
   * @param {String} deps.appName
   */
  function Config() {
    this._config = {
      DEFAULT_CULTURE: 'es-ES',
      DEFAULT_CURRENCY: 'EUR',
      RESET_PASSWORD_ENDPOINT: DEFAULT_RESET_PASSWORD_ENDPOINT,
      CHANGE_PASSWORD_ENDPOINT: DEFAULT_CHANGE_PASSWORD_ENDPOINT
    };
  }

  /**
   * @method
   * @param {String} key
   * @return {*}
   */
  var _proto = Config.prototype;
  _proto.get = function get(key) {
    return this._config[key];
  }

  /**
   * @method
   * @param {String} key
   * @param {*} value
   * @return {*}
   */;
  _proto.set = function set(key, value) {
    if (value !== undefined) this._config[key] = value;
    return this;
  };
  return Config;
}();
export { Config as default };