import { useMount } from '@s-ui/react-hooks';
import useI18n from '../../hooks/useI18n.js';
import useGetCurrentToken from '../useGetCurrentToken.js';
var useDisplayExpiredTokenError = function useDisplayExpiredTokenError(setNotification) {
  var i18n = useI18n();
  var _useGetCurrentToken = useGetCurrentToken(),
    getCurrentToken = _useGetCurrentToken.getCurrentToken;
  var _getCurrentToken = getCurrentToken(),
    isExpired = _getCurrentToken.isExpired;
  useMount(function () {
    if (isExpired) {
      setNotification({
        text: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_2.ERRORS.EXPIRED_TOKEN'),
        isError: true
      });
    }
  });
};
export default useDisplayExpiredTokenError;