import PropTypes from 'prop-types';
import AtomIcon, { ATOM_ICON_COLORS, ATOM_ICON_SIZES } from '@s-ui/react-atom-icon';
import { BASE_CLASS, DEFAULT_ATC_ICON } from '../../config.js';
import { jsx as _jsx } from "react/jsx-runtime";
var Icon = function Icon(_ref) {
  var _ref$icon = _ref.icon,
    Image = _ref$icon === void 0 ? DEFAULT_ATC_ICON : _ref$icon;
  var image = typeof Image === 'string' ? /*#__PURE__*/_jsx("img", {
    src: Image
  }) : /*#__PURE__*/_jsx(AtomIcon, {
    size: ATOM_ICON_SIZES.extraExtraLarge,
    color: ATOM_ICON_COLORS.current,
    children: Image
  });
  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS + "-helpContentImage",
    children: image
  });
};
Icon.displayName = 'Icon';
export default Icon;