import PropTypes from 'prop-types';
import MoleculeNotification, { BRDS_SIZE, TYPES, VARIATIONS } from '@s-ui/react-molecule-notification';
import { BASE_CLASS } from '../../config.js';
import { jsx as _jsx } from "react/jsx-runtime";
var Notification = function Notification(_ref) {
  var notificationText = _ref.notificationText,
    _ref$isError = _ref.isError,
    isError = _ref$isError === void 0 ? false : _ref$isError;
  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS + "-formNotification",
    children: /*#__PURE__*/_jsx(MoleculeNotification, {
      autoClose: null,
      icon: " ",
      roundedCorners: BRDS_SIZE.medium,
      showCloseButton: false,
      text: notificationText,
      type: isError ? TYPES.error : TYPES.success,
      variation: VARIATIONS.negative
    })
  });
};
Notification.displayName = 'Notification';
export default Notification;