import PropTypes from 'prop-types';
import { BASE_CLASS } from '../../config.js';
import useI18n from '../../hooks/useI18n.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var ResendText = function ResendText(_ref) {
  var handleResend = _ref.handleResend;
  var i18n = useI18n();
  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS + "-formNotification",
    children: /*#__PURE__*/_jsxs("p", {
      className: BASE_CLASS + "-formText",
      children: [/*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-formTextTitle",
        dangerouslySetInnerHTML: {
          __html: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.RESEND_TITLE')
        }
      }), /*#__PURE__*/_jsx("span", {
        dangerouslySetInnerHTML: {
          __html: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.RESEND_TEXT')
        }
      }), " ", /*#__PURE__*/_jsx("span", {
        className: BASE_CLASS + "-formTextAnchor",
        onClick: handleResend,
        children: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.RESEND_LINK')
      }), "."]
    })
  });
};
ResendText.displayName = 'ResendText';
export default ResendText;