import { FetcherFactory as SUIFetcherFactory } from '@s-ui/domain';
import HTTPUnauthenticatedFetcher from './HTTPUnauthenticatedFetcher.js';
var FetcherFactory = function FetcherFactory() {};
FetcherFactory.unauthenticatedFetcher = function (_ref) {
  var config = _ref.config;
  return new HTTPUnauthenticatedFetcher({
    config: config,
    fetcher: SUIFetcherFactory.httpFetcher({})
  });
};
export { FetcherFactory as default };