import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import _applyDecoratedDescriptor from "@babel/runtime/helpers/esm/applyDecoratedDescriptor";
var _class;
import { inlineError } from '@s-ui/decorators';
import { Service } from '@s-ui/domain';
export var ResetPasswordService = (_class = /*#__PURE__*/function (_Service) {
  _inheritsLoose(ResetPasswordService, _Service);
  function ResetPasswordService(_temp) {
    var _this;
    var _ref = _temp === void 0 ? {} : _temp,
      passwordRepository = _ref.passwordRepository;
    _this = _Service.call(this) || this;
    _this._passwordRepository = passwordRepository;
    return _this;
  }

  /**
   * @param {String} request
   */
  var _proto = ResetPasswordService.prototype;
  _proto.execute = function execute(_ref2) {
    var resetPasswordRequest = _ref2.resetPasswordRequest;
    return this._passwordRepository.resetPassword({
      resetPasswordRequest: resetPasswordRequest
    }).then(function (_ref3) {
      var error = _ref3[0],
        result = _ref3[1];
      if (error) {
        throw error;
      }
      return result;
    });
  };
  return ResetPasswordService;
}(Service), (_applyDecoratedDescriptor(_class.prototype, "execute", [inlineError], Object.getOwnPropertyDescriptor(_class.prototype, "execute"), _class.prototype)), _class);