import { PasswordRepositoriesFactory } from '../Repositories/factory.js';
import { ChangePasswordService } from './ChangePasswordService.js';
import { ResetPasswordService } from './ResetPasswordService.js';
export var PasswordServicesFactory = function PasswordServicesFactory() {};
PasswordServicesFactory.changePasswordService = function (_ref) {
  var config = _ref.config;
  return new ChangePasswordService({
    passwordRepository: PasswordRepositoriesFactory.hTTPPasswordRepository({
      config: config
    })
  });
};
PasswordServicesFactory.resetPasswordService = function (_ref2) {
  var config = _ref2.config;
  return new ResetPasswordService({
    passwordRepository: PasswordRepositoriesFactory.hTTPPasswordRepository({
      config: config
    })
  });
};