import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import _applyDecoratedDescriptor from "@babel/runtime/helpers/esm/applyDecoratedDescriptor";
var _class;
import _regeneratorRuntime from "@babel/runtime/regenerator";
import { inlineError } from '@s-ui/decorators';
import { UseCase } from '@s-ui/domain';
export var ValidateEmailPasswordUseCase = (_class = /*#__PURE__*/function (_UseCase) {
  _inheritsLoose(ValidateEmailPasswordUseCase, _UseCase);
  function ValidateEmailPasswordUseCase(_ref) {
    var _this;
    var config = _ref.config,
      resetPasswordRequest = _ref.resetPasswordRequest;
    _this = _UseCase.call(this) || this;
    _this._config = config;
    _this._resetPasswordRequest = resetPasswordRequest;
    return _this;
  }
  var _proto = ValidateEmailPasswordUseCase.prototype;
  _proto.execute = /*#__PURE__*/function () {
    var _execute = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(_ref2) {
      var email;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            email = _ref2.email;
            this._resetPasswordRequest({
              email: email
            });
            return _context.abrupt("return", true);
          case 3:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function execute(_x) {
      return _execute.apply(this, arguments);
    }
    return execute;
  }();
  return ValidateEmailPasswordUseCase;
}(UseCase), (_applyDecoratedDescriptor(_class.prototype, "execute", [inlineError], Object.getOwnPropertyDescriptor(_class.prototype, "execute"), _class.prototype)), _class);